import {Component, OnInit} from '@angular/core';
import {fadeIn} from '../../animations/fade-in';
import {TransferService} from '../../service/transfer.service';
import {ActivatedRoute} from '@angular/router';

@Component({
    selector: 'app-page-detail',
    templateUrl: './page-detail.component.html',
    styleUrls: ['./page-detail.component.scss'],
    animations: [fadeIn]
})
export class PageDetailComponent implements OnInit {

    constructor(private tf: TransferService, private ar: ActivatedRoute) {
    }

    item;

    ngOnInit() {
        this.ar.queryParams.subscribe((params) => {
            if (params) {
                this.item = {
                    name: params.name,
                    online: 1,
                    error: 1
                };
            }
        });
    }

    toList() {
        this.tf.transfer({
            from: 'app-page-detail',
            to: 'app-home',
            url: '/main',
            query: '',
            hash: 'page_one'
        });
    }

}
